<?php

function view_dashboard_petty_cash_expenses_details($expense_type_id, $from_date, $to_date, $vehicle_id=0) {
    
    $sql = "SELECT ex.*,
                    en.value_name expense_type_name  
            FROM ".TB_PREF."i_owe_you_expenses ex  
                JOIN ".TB_PREF."i_owe_you_batches b  
                    ON ex.iou_batch_no = b.batch_no  
                JOIN ".TB_PREF."list_values en  
                    ON en.id = ex.expense_type_id  
            WHERE b.tran_date >= ".db_escape($from_date)." 
                AND b.tran_date <= ".db_escape($to_date)."  
                AND ex.expense_type_id = ".db_escape($expense_type_id);
    
    if($vehicle_id > 0){
        $sql .=" AND ex.expense_category_id = ".db_escape(EC_VEHICLE_MAINTENANCE)." 
                    AND ex.expense_item_id = ".db_escape($vehicle_id);
    }
    
    $sql .=" ORDER BY ex.expence_date ";
    
                
    return db_query($sql, "view_dashboard_petty_cash_expenses_details"); 
     
}
